# Get On-Us Transfer

Gets a single on-us transfer by ID.

Endpoint: GET /api/v1/transfers/on-us/{transfer_id}/
Version: Version: 5153994b
Security: HTTPBearer

## Path parameters:

  - `transfer_id` (string, required)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)

  - `status` (string, required)
    Enum: "PENDING", "COMPLETED", "REJECTED"

  - `reason` (any, required)

  - `transfer` (any, required) — one of (discriminator: type):
    - INTERNAL_REALLOCATION:
      - `transfer_id` (any)
        The ID for this transfer, auto-generated if not provided.
        Example: "cbb6cfce-f207-45e7-a6b3-1055ab43db51"
      - `description` (any)
        A description of the transfer, visible on statements.
        Example: "Moving funds between accounts belonging to the same customer"
      - `end_to_end_identification` (any)
        Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
      - `from_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `from_account.id` (string, required)
        Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      - `from_account.type` (string, required)
        Example: "JIKO_ACCOUNT"
      - `to_account` (object, required)
        Example: {"id":"991dd8b5-f103-4158-8c6b-84480cb43652","type":"JIKO_ACCOUNT"}
      - `type` (string, required)
        Example: "INTERNAL_REALLOCATION"
      - `transfer_type` (string, required)
        Enum: "BANK_TRANSFER", "SECURITY_TRANSFER"
      - `amount` (object, required)
        Example: {"amount_usdc":10000,"type":"REQUESTED_AMOUNT"}
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
    - PARTNER_CUSTOMER_DEFUNDING:
      - `transfer_id` (any)
        The ID for this transfer, auto-generated if not provided.
        Example: "d64e7b7e-7fd2-44a4-8bfd-68a31252afaa"
      - `description` (any)
        A description of the transfer, visible on statements.
        Example: "Withdrawing funds from customer to partner"
      - `end_to_end_identification` (any)
        Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
      - `from_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `from_account.id` (string, required)
        Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      - `from_account.type` (string, required)
        Example: "JIKO_ACCOUNT"
      - `to_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `type` (string, required)
        Example: "PARTNER_CUSTOMER_DEFUNDING"
      - `target` (string, required)
        The funds destination belonging to the customer at the Partner institution.
        Example: "123456789"
      - `amount` (object, required)
        Example: {"type":"FULL_WITHDRAWAL"}
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
    - PARTNER_CUSTOMER_FUNDING:
      - `transfer_id` (any)
        The ID for this transfer, auto-generated if not provided.
        Example: "d4a2d8dd-7def-4545-a062-761683b9aa05"
      - `description` (any)
        A description of the transfer, visible on statements.
        Example: "Disbursing funds from partner to customer"
      - `end_to_end_identification` (any)
        Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
      - `from_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `from_account.id` (string, required)
        Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      - `from_account.type` (string, required)
        Example: "JIKO_ACCOUNT"
      - `to_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `type` (string, required)
        Example: "PARTNER_CUSTOMER_FUNDING"
      - `source` (string, required)
        The source of customer funds at the Partner institution.
        Example: "123456789"
      - `amount` (object, required)
        Example: {"amount_usdc":100000,"type":"REQUESTED_AMOUNT"}
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)
    - PEER_TO_PEER:
      - `transfer_id` (any)
        The ID for this transfer, auto-generated if not provided.
        Example: "cbb6cfce-f207-45e7-a6b3-1055ab43db51"
      - `description` (any)
        A description of the transfer, visible on statements.
        Example: "Moving funds between accounts belonging to different customers"
      - `end_to_end_identification` (any)
        Unique identification assigned by the initiating party to unambiguously identify the transaction. This identification is passed on, unchanged, throughout the entire end-to-end chain.
      - `from_account` (object, required)
        Example: {"id":"497f6eca-6276-4993-bfeb-53cbbbba6f08","type":"JIKO_ACCOUNT"}
      - `from_account.id` (string, required)
        Example: "497f6eca-6276-4993-bfeb-53cbbbba6f08"
      - `from_account.type` (string, required)
        Example: "JIKO_ACCOUNT"
      - `to_account` (object, required)
        Example: {"id":"991dd8b5-f103-4158-8c6b-84480cb43652","type":"COUNTERPARTY"}
      - `to_account.id` (string, required)
        Example: "991dd8b5-f103-4158-8c6b-84480cb43652"
      - `to_account.type` (string, required)
        Example: "COUNTERPARTY"
      - `type` (string, required)
        Example: "PEER_TO_PEER"
      - `amount` (object, required)
        Example: {"amount_usdc":10000,"type":"REQUESTED_AMOUNT"}
      - `amount.value` (integer, required)
        USD values are always in cents.
      - `amount.currency` (string, required)
      - `amount.formatted` (string)

  - `fees` (array, required)

  - `fees.type` (string, required)

  - `fees.amount` (object, required)

  - `fees.amount.value` (integer, required)
    USD values are always in cents.

  - `fees.amount.currency` (string, required)

  - `fees.amount.formatted` (string)

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


